List all trailers.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Trailers under the Trailers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/trailers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "494123",
"enabledForMobile": true,
"externalIds": {},
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/fleet/trailers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "494123",
"enabledForMobile": true,
"externalIds": {},
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}